# Triangles
![Screenshot](/extras/Screenshot.jpg?raw=true)
Triangles, according to its creative name, is about triangles. There are three heroes at the moment.

## Installation

CMakeLists.txt is included, but probably does not work. I would appreciate feedback from fellow Linux users.

There is a win32 build for Triangles 0.0.4, but probably does not work: [download here.](http://bit.ly/windows-triangles)

## How to play

You are a triangle made of glass. You have four bullets. You have to find your way to the wormhole and escape the labyrinth, without having turned into a circle with torn edges.

Controls are as follows (rebindable only from the source code at the moment):

* W, S — acceleration
* A, D — rotation
* Left control — torch
* Space — shot
* F9 — screen resolution, descending
* F10 — vsync on/off (enabled by default)
* F11 — fullscren on/off

If you are launching from a console, you can also preconfigure Triangles with program arguments, e.g. --resolution=1280x720 --borderlesswindow. Run the executable with --help or -h option to learn more.

Normally you play with a jungling triangle. 10% of the time an illuminati triangle will spawn. There is also a secret third triangle dedicated to GtDM.

## License

The code is licensed in GPLv3. See LICENSE file for licensing information.

The files are CC-By-SA 4.0, unless stated otherwise in about.txt.

Triangles copies [this version](https://github.com/JumpingToasts/LTBL2) of [LTBL2](https://github.com/222464/LTBL2) in ltbl subdirectory. LTBL is licensed in zlib/png.
