/**
 *  Triangles
 *  Copyright (C) 2016 POSITIVE MENTAL ATTITUDE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

class Triangles;
class TrianglesWindow;
class Assets;
class Foreground;

struct Context
{
	bool shaders;
	bool fullscreen;
	bool borderless;
	bool vsync;
	bool needsUpdate;
	bool running;
	bool nevermore;
	bool mustRecreate;
	
	int versionMajor;
	int versionMinor;
	int versionBuild;
	
	Assets* assets;
	TrianglesWindow* window;
	Triangles* core;
	
	Foreground* foreground;
};